/**
* Theme Name: Electron Child
* Description: This is a child theme of Electron.
* Author: <a href="http://ninetheme.com/about">Ninetheme</a>
* Template: electron
* Version: 1.0.3
*/
:root {
    --electron-font: 'Inter', sans-serif;
    --electron-font-heading: 'Inter', sans-serif;
}
.upload-file {
    display: block;
    background-color: var( --e-global-color-primary );
    color: white;
    padding: 5px 15px;
    border-radius: 5px;
    cursor: pointer;
    font-weight: 400;
    margin: 0;
    width: auto;
}

.upload-file input {
    display: none;
}

.list-file {
    display: flex;
    align-items: center;
}
.list-file > * {
    margin-left: 10px;
    box-shadow: 0 0 0 1px #eee;
    max-width: 60px;
    max-height: 60px;
}

.re-link {
    color: #007bff;
    cursor: pointer;
    order:1;
    box-shadow: none;
    display: none;
}

#preview img {
    width: 60px;
    height: 60px;
    margin-left: 5px;
    border-radius: 5px;
}

/** Product review **/
#review_form_wrapper {
    margin-top: 30px;
}
.reviews-count-title .title {
    font-size: 24px;
    font-weight: 600;
}
form#commentform {
    gap: 0;
    font-size: 14px;
    margin: 0;
    display: block;
}
form#commentform label {
    margin: 0;
}
form.comment-form > p,
form.comment-form > div {
    padding: 0;
    margin-bottom: 20px;
}
form.comment-form > div.comment-form-rating {
    margin-bottom: 10px;
}
.comment-form p.stars {
    line-height: inherit;
    display: flex;
    cursor: pointer;
}
.comment-form .star {
    color: #ccc;
    font-size: 14px;
}
.comment-form .star.active {
    color: #f90;
}
.comment-form .star:before,
.rating-summary .star:before {
    display: block;
    content: "\f148";
    font-family: 'ninetheme-font';
    font-size: inherit;
}
/* Rating summary */
.rating-summary {
    border-radius: 5px;
    display: flex;
    align-items: center;
    border: solid 1px #ddd;
    margin-bottom: 26px;
}
.rating-summary > * {
    margin: 15px 0;
    padding: 0 15px;
}
.rating-score {
    font-size: 40px;
    color: #fd9727;
    line-height: 40px;
    font-weight: 700;
    white-space: nowrap;
}
.rating-score .star {
    font-size: 30px;
}
.rating-summary .star:before {
    display: inline-block;
}
.rating-breakdown {
    flex-grow: 1;
    border-left: 1px solid #eee;
    border-right: 1px solid #eee;
}
.rating-row {
    font-size: 14px;
    display: flex;
    align-items: center;
    height: 24px;
    line-height: 24px;
}
.rating-row .star {
    font-size: 12px;
}
.star-value {
    height: 24px;
}
.rating-bar {
    flex-grow: 1;
    height: 3px;
    background: #e9e9e9;
    position: relative;
    margin: 0 15px;
}
.rating-fill {
    height: 100%;
    background-color: #f25800;
    background-image: linear-gradient(90deg, #ff7d26 0%, #f25800 97%);
    position: absolute;
    left: 0;
    top: 0;
}
.review-count {
    color: #2B5ACD;
}
.submit-review {
    font-size: 14px;
    background: #2B5ACD;
    border: none !important;
    padding: 8px 15px;
    border-radius: 4px !important;
    cursor: pointer;
    font-weight: 500;
}
.commentlist {
    font-size: 14px;
}
#comments .commentlist .star-rating {
    top: 1px;
    left: 0;
    right: auto;
    margin-right: 4px;
    position: relative;
    display: inline-block;
}
.commentlist p.meta {
    display: inline-block;
    color: #aaa;
}
.star-rating>span::before {
    color: #f90;
}
.woocommerce-review__author {
    font-weight: 600;
    color: var(--electron-dark);
}
.comment-text p {
    padding: 0;
}
#comments .commentlist div:not(#respond) p {
    margin: 0;
}
.commentlist li:not(:last-child) {
    padding-bottom: 15px;
    border-bottom: 1px solid #e6e6e6;
    margin-bottom: 15px;
}
.hnnp-review-images {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
}
.hnnp-review-images a {
    display: block;
    max-width: 72px;
}
.hnnp-review-images a img {
    height: auto;
    display: block;
    width: 100%;
}
.comment-form-rating {
    display: inline-flex;
    align-items: center;
    column-gap: 20px;
}
.comment-form-rating label {
    width: auto;
    margin: 0;
}
.electron-product-tab-content-item #reply-title {
    display: block;
    font-size: 24px !important;
    margin-bottom: 5px !important;
    line-height: 1.2;
}
.comment-form-image {
    display: flex;
    align-items: center;
}
#review_form .comment-form-author {
    margin-right: 30px;
    float: left;
    width: calc(50% - 15px);
}
#review_form .comment-form-email {
    width: calc(50% - 15px);
    float: left;
}
#commentform .comment-form-comment label {
    display: block;
}
#commentform .comment-form-comment textarea {
    height: auto;
    max-width: 100%;
    min-height: unset;
    padding: 5px 10px;
    display: block;
}
form.comment-form input:not(.electron-btn):not([type=checkbox]) {
    padding: 5px 10px;
}
form.comment-form input#submit {
    padding: 10px 33px;
    font-size: 16px;
    font-weight: 400;
    border-radius: 4px;
    min-width: unset;
}

/** PRODUCT VIDEOS **/
.hnnp-product-videos {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}
.hnnp-video-item a {
    font-size: 14px;
}
.hnnp-video-item iframe {
    aspect-ratio: 16 / 9;
    border-radius: 12px;
    margin-bottom: 10px;
}
.hnnp-video-title {
    font-size: 16px;
    line-height: 1.4;
    font-weight: 500;
    overflow: hidden;
    max-height: 4.4rem;
    -webkit-line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    white-space: normal;
    margin-top: 5px;
}
.ez-toc-link:before {
    content: counter(item, disclosure-closed) ' ';
    margin-right: .2em;
    counter-increment: item;
    flex-grow: 0;
    flex-shrink: 0;
    float: left;
}

.open-fancybox {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 1px solid;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    position: absolute;
    z-index: 2;
    top: 10px;
    right: 10px;
}

/** PRODUCT GALLERY SLIDER **/
.hnnp-thumb-slider-wrapper {
    padding: 5px 30px;
    margin: 20px 0 0;
    position: relative;
    overflow-x: clip;
}
.thumb-slider .swiper-slide {
    height: 90px;
    padding: 10px;
    border: 1px solid #e2e2e2;
    cursor: pointer;
}
.thumb-slider .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.hnnp-thumb-slider-wrapper .swiper-button-nav {
    position: absolute;
    width: 24px;
    height: 24px;
    top: calc(50% - 12px);
    margin: 0;
    left: -24px;
    right: auto;
    background-color: rgba(0, 0, 0, .33);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .3s;
    cursor: pointer;
}
.hnnp-thumb-slider-wrapper .swiper-button-nav:hover {
    background-color: var( --e-global-color-primary );
}
.hnnp-thumb-slider-wrapper .swiper-button-nav.swiper-button-disabled {
    cursor: initial;
    opacity: 0.5;
}
.hnnp-thumb-slider-wrapper .swiper-button-nav svg {
    color: #fff;
    width: 16px;
    height: 16px;
    display: block;
}
.hnnp-thumb-slider-wrapper .swiper-button-nav.swiper-button-nav--next {
    right: -24px;
    left: auto;
}
.hnnp-thumb-slider-wrapper:hover .swiper-button-nav {
    left: 0;
}
.hnnp-thumb-slider-wrapper:hover .swiper-button-nav.swiper-button-nav--next {
    right: 0;
    left: auto;
}

/** CART SIDEBAR **/
.cart-sidebar.mini-panel {
    position: static;
    pointer-events: initial;
    opacity: 1;
    visibility: visible;
    box-shadow: none;
    transform: none;
    min-width: unset;
    font-size: 14px;
    border: none;
    border-radius: 0;
}
.cart-sidebar.mini-panel:before,
.cart-sidebar.mini-panel:after {
    display: none;
}
.cart-sidebar.mini-panel .minicart-panel-inner {
    padding: 15px;
}
.cart-sidebar.mini-panel .minicart-item {
    gap: 10px;
}
.cart-sidebar.mini-panel .minicart-item img {
    max-width: 40px;
}
.cart-sidebar.mini-panel .cart-item-title .cart-name {
    line-height: initial;
}

.hnnp-sidebar-widget {
    border: 1px solid var( --e-global-color-dd406e8 );
}
.hnnp-sidebar-widget h5 {
    padding: 10px 15px 10px 15px;
    border-style: solid;
    border-width: 0px 0px 1px 0px;
    border-color: var(--e-global-color-dd406e8);
    font-size: 16px !important;
    font-weight: 600 !important;
    text-transform: uppercase !important;
    line-height: 26px;
    word-spacing: 0.05em;
    margin: 0;
}
.hnnp-sidebar-widget .textwidget {
    padding: 15px;
}

/** woot **/
.hnnp-woobt {
    font-size: 14px;
}
.hnnp-woobt .single_add_to_cart_button {
    font-size: 16px;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    padding: 10px 30px;
    border: none;
}
.hnnp-woobt .woobt-products .woobt-product .woobt-price {
    width: auto;
    max-width: unset;
    flex: 0 0 100px;
}
.hnnp-woobt .woobt-products .woobt-product .woobt-quantity {
    flex: 0 0 110px;
}
.hnnp-woobt .woobt-products .woobt-product .woobt-price del {
    color: #666;
}
.hnnp-woobt .woobt-products .woobt-product .woobt-price ins,
.hnnp-woobt .woobt-products .woobt-product .woobt-price .woobt-price-ori {
    color: var(--e-global-color-primary);
}
.hnnp-woobt .woobt-products .woobt-product .woobt-price del, .hnnp-woobt .woobt-products .woobt-product .woobt-price ins, .hnnp-woobt .woobt-price-ori {
    font-size: 14px;
    display: block;
    line-height: 24px;
}
.hnnp-woobt .woobt-products .woobt-product .woobt-price .amount {
    display: inline-flex;
    gap: 4px;
}
.hnnp-woobt .woobt-products .woobt-product .woobt-price {
    color: var(--e-global-color-primary);
}
.hnnp-woobt .woobt-products .woobt-product .woobt-price .amount {
    display: inline-flex;
        gap: 4px;
        line-height: 24px;
}
.hnnp-woobt .woobt-products .woobt-product.woobt-product-this .woobt-price .woobt-price-new {
    display: block;
}
.hnnp-woobt .woobt-wrap .woobt-additional.woobt-text {
    margin-bottom: 0;
}
.hnnp-woobt .woobt-additional .woocommerce-Price-amount,
.hnnp-woobt .woobt-total.woobt-text ins,
.hnnp-woobt .woobt-total .woocommerce-Price-amount {
    color: var(--e-global-color-primary);
}
.hnnp-woobt .woobt-total.woobt-text del,
.hnnp-woobt .woobt-total del .woocommerce-Price-amount {
    color: #666;
}
/** PRODUCT VARIATIONS **/
.hnnp-product-variations-buttons {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px 20px;
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 1px solid #eee;
}
.hnnp-product-variation-button a {
    background: #fff;
    border: 1px solid #d1d5db;
    border-radius: 8px;
    text-align: center;
    padding: 5px 4px;
    cursor: pointer;
    display: block;
    position: relative;
    overflow: hidden;
    height: 100%;
}
.hnnp-product-variation-button a.active {
    border: 1px solid #d70018;
}
.hnnp-product-variation-button .hnnp-product-variation-name {
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    font-weight: 600;
    overflow: hidden;
    text-align: center;
    width: 100%;
    font-size: 12px;
    line-height: 1;
    margin-top: 3px;
}
.hnnp-product-variation-button .hnnp-product-variation-price {
    font-size: 16px;
    display: block;
    margin-top: 5px;
    font-weight: 700;
    color: #e10c00;
    line-height: 20px;
}
.hnnp-product-variation-button a.active:after {
    background-color: #d70018;
    border-radius: 0 0 10px;
    color: #fff;
    content: "✓";
    font-size: 10px;
    height: 13px;
    left: 0;
    padding-bottom: 15px;
    padding-left: 4px;
    position: absolute;
    top: 0;
    width: 18px;
    line-height: 13px;
    display: inline-flex
;
}
.hnnp-product-variation-button .hnnp-product-variation-price .woocommerce-Price-currencySymbol { display: none; }

.sttB {
    cursor: pointer;
    color: #2ba832;
    font-size: 13px;
}
.sttB i {
    width: 13px;
    height: 13px;
    margin: -4px 4px 0 4px;
}

.electron-product-related .section-title-wrapper {
    margin-bottom: 15px;
}
.electron-product-related .section-title-wrapper .section-title {
    font-size: 16px;
    text-transform: uppercase;
    font-weight: 600;
}

.electron-summary-item.electron-viewed-offer-time {
    padding: 5px 5px 10px !important;
    height: 80px;
    margin: 0 0 20px;
    display: block;
    border: none !important;
}
.electron-summary-item.electron-viewed-offer-time.type-2 .electron-coming-time{
    justify-content: flex-end;
}
.electron-coming-time:not(.separator-none) .time-count+.time-count:before {
    display: none;
}
.electron-summary-item.electron-viewed-offer-time.type-2 .time-count {
    min-width: 60px;
    text-align: center;
    padding: 0;
    flex-direction: column;
    color: #f3d41a;
    background-color: transparent;
    font-size: 16px;
    letter-spacing: 0;
    font-weight: 400;
}
.electron-summary-item.electron-viewed-offer-time.type-2 .time-count .cd-time {
    border-radius: 3px;
    display: block;
    font-size: 20px;
    padding: 5px;
    margin: 10px 10px 5px;
    z-index: 2;
    border: 2px solid #f3d41a;
}
.electron-summary-item.electron-viewed-offer-time.type-2 .time-count .cd-text {
    color: #fff;
}

.ovic_bundle-wrap table,
.ovic_bundle-wrap tr,
.ovic_bundle-wrap td,
.ovic_bundle-wrap th {
    border: none;
}
.ovic_bundle-wrap .ovic_bundle-table {
    width: 100%;
    border-width: 1px 0 0;
    border-style: dotted;
    border-color: #e5e5e5;
    color: #000;
}
.ovic_bundle-products thead {
    border-bottom: 1px dotted #e5e5e5;
}
.ovic_bundle-table .column-discount,
.ovic_bundle-table .column-price {
    text-align: right;
}
.ovic_bundle-table .column-price {
    padding-right: 10px;
}
.ovic_bundle-wrap .ovic_bundle-product .ovic_bundle-total {
    padding-right: 0;
}
.ovic_bundle-wrap .footer-bundle .quantity {
    display: none;
}
.ovic_bundle-wrap .quantity {
    padding: 0;
    width: 60px;
}
.ovic_bundle-wrap .quantity .quantity-button {
    display: none;
}
.ovic_bundle-products tr th {
    padding: 16px 0;
    font-weight: 700;
}
.ovic_bundle-products .ovic_bundle-product>td {
    padding: 10px 10px 10px 0;
    background-color: transparent;
    border-width: 0 0 1px;
    border-style: dotted;
    border-color: #e5e5e5;
    position: relative;
}
.ovic_bundle-wrap .ovic_bundle-before-text {
    white-space: pre-line;
    font-size: 16px;
    color: var( --e-global-color-primary );
    text-align: center;
    font-weight: 700;
    letter-spacing: .6px;
    display: flex;
    align-items: center;
}
.ovic_bundle-wrap .ovic_bundle-before-text:after, .ovic_bundle-wrap .ovic_bundle-before-text:before {
    content: "";
    height: 2px;
    width: 100%;
    display: inline-block;
    background-color: var( --e-global-color-primary );
    flex: 1;
    margin: 0 20px;
}
.hnnp-woobt .ovic_bundle-wrap .ovic_bundle-before-text, .hnnp-woobt .ovic_bundle-wrap .ovic_bundle-after-text, .hnnp-woobt .ovic_bundle-wrap .ovic_bundle-table {
    margin: 0 0 20px;
}
.ovic_bundle-wrap .single_add_to_cart_button {
    padding: 0;
    letter-spacing: 0;
}
.ovic_bundle-wrap .single_add_to_cart_button .cart-text {
    font-weight: 700;
    font-size: 16px;
    width: 100%;
    padding: 10px 85px;
    border-radius: 5px;
    min-height: 58px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 4px;
    min-width: unset;
    width: 100%;
}
.ovic_bundle-wrap .single_add_to_cart_button .cart-text .sub-text {
    display: block;
    font-size: 12px;
    font-weight: 400;
    line-height: 16px;
    text-transform: none;
}
.hnnp-woobt .ovic_bundle-wrap .footer-bundle  {
    margin: 0;
}
.ovic_bundle-wrap .footer-bundle .cart,
.ovic_bundle-wrap .footer-bundle .ovic-bundle-subtotal > * {
    padding: 0;
}

.electron-cart-button {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.electron-cart-button > .electron-svg-icon{
    display: block;
    width: 30px;
    height: 30px;
    max-width: unset;
    max-height: unset;
    fill: var(--e-global-color-primary);
}
.electron-cart-button .electron-wc-count {
    right: 5px;
    top: -5px;
}
.electron-cart-button .electron-cart-text {
    font-size: 13px;
    font-weight: 600;
    line-height: 1;
    color: var(--e-global-color-primary);
}

.hnnp-ajax-product-search .electron-ajax-product-search {
    margin-left: auto;
}
.elementor-widget-off-canvas .e-off-canvas__main.animated {
    animation-duration: .3s !important;
}
.elementor-widget-off-canvas .e-off-canvas__content {
    overflow: unset !important;
}

.hnnp-wc-breadcrumb .woocommerce-breadcrumb a::after {
    content: "›";
    padding: 0 12px;
    display: inline-block;
    width: auto;
    height: auto;
    font-size: 17px;
    margin: 0;
    background-color: transparent;
}
.electron-ajax-product-search .category-select-wrapper {
	display: none !important;
}
.electron-product-info form.cart .quantity,
.electron-product-info form.cart .single_add_to_cart_button,
.electron-product-info form.cart .product-after-cart-wrapper,
.electron-product-info form.cart .electron-btn-buynow:not(.hnnp-btn-buynow) {
	display: none !important;
}
.electron-quickview-sidebar .electron-product-info-top {
	padding: 0;
	margin: 0;
	border: none;
	border-radius: 0;
	width: 100%;
}
.quick-details .electron-summary-item {
	border: none !important;
	border-radius: 0 !important;
}
.electron-btn-buynow.hnnp-btn-buynow .cart-text {
    font-weight: 700;
    font-size: 16px;
    width: 100%;
    padding: 10px;
    border-radius: 5px;
    min-height: 58px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 4px;
    min-width: unset;
    width: 100%;
}
.electron-btn-buynow.hnnp-btn-buynow .cart-text .sub-text {
    display: block;
    font-size: 12px;
    font-weight: 400;
    line-height: 16px;
    text-transform: none;
}

@media (max-width: 1024px) {
    .hnnp-product-variations-buttons {
        gap: 15px;
    }
}
@media (max-width: 767px) {
    .rating-summary {
        flex-direction: column;
        align-items: flex-start;
    }
    .rating-summary > * {
        width: 100%;
    }
    .rating-breakdown {
        border: none;
    }
    .rating-score {
        margin-bottom: 0;
    }
    .button-send-review {
        margin-top: 0;
    }
    .hnnp-product-videos {
        gap: 15px;
        grid-template-columns: repeat(2, 1fr);
    }
    .electron-ajax-search-results .electron-ajax-product-image {
        width: 50px !important;
        max-width: 50px !important;
    }
    .electron-ajax-search-results .electron-ajax-product-image img {
        width: 50px;
        height: 50px;
        object-fit: cover;
    }
    .electron-ajax-product-data .electron-ajax-product-title,
    .electron-ajax-product-data .electron-ajax-product-price {
        margin-bottom: 5px !important;
    }
    .electron-ajax-search-results ul li {
        padding: 5px 0 !important;
    }
}
@media only screen and (max-width: 490px) {
    .top-action-btn .electron-wc-count {
        left: auto !important;
    }
}
